org.apache.poi.ss.formula

## Class CollaboratingWorkbooksEnvironment

- java.lang.Object
- - org.apache.poi.ss.formula.CollaboratingWorkbooksEnvironment

-     @Internal
      public final class CollaboratingWorkbooksEnvironment
      extends java.lang.Object

  Manages a collection of `WorkbookEvaluator`s, in order to support evaluation of formulas across spreadsheets.

  For POI internal use only - use

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollaboratingWorkbooksEnvironment.WorkbookNotFoundException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CollaboratingWorkbooksEnvironment` | `EMPTY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkbookEvaluator` | `getWorkbookEvaluator(java.lang.String workbookName)`
    `static void` | `setup(java.util.Map<java.lang.String,WorkbookEvaluator> evaluatorsByName)`
    `static void` | `setup(java.lang.String[] workbookNames, WorkbookEvaluator[] evaluators)`
    `static void` | `setupFormulaEvaluator(java.util.Map<java.lang.String,FormulaEvaluator> evaluators)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final CollaboratingWorkbooksEnvironment EMPTY

  - ### Method Detail

    - #### setup

          public static void setup(java.lang.String[] workbookNames,
                                   WorkbookEvaluator[] evaluators)

    - #### setup

          public static void setup(java.util.Map<java.lang.String,WorkbookEvaluator> evaluatorsByName)

    - #### setupFormulaEvaluator

          public static void setupFormulaEvaluator(java.util.Map<java.lang.String,FormulaEvaluator> evaluators)

    - #### getWorkbookEvaluator

          public WorkbookEvaluator getWorkbookEvaluator(java.lang.String workbookName)
                                                 throws CollaboratingWorkbooksEnvironment.WorkbookNotFoundException

      Throws:
        `CollaboratingWorkbooksEnvironment.WorkbookNotFoundException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.